Subject: Re: [PATCH 7/16] powerpc: add support for ps3 platform

From: Geoff Levand <[email-masked]>
Date: Thu, 16 Nov 2006 17:31:01 -0800

Michael Ellerman wrote:
> On Wed, 2006-11-15 at 17:41 -0800, Geoff Levand wrote:
>> Christoph Hellwig wrote:
> 
>> >> +#if !defined(PPC_MSG_MIGRATE_TASK)
>> >> +static const int PPC_MSG_MIGRATE_TASK = 2;
>> >> +#endif
>> > 
>> > This looks rather odd, what is it trying to do?
>> 
>> 
>> For some reason the definition of PPC_MSG_MIGRATE_TASK is sometimes 2, and
>> sometimes not defined, depending on other config options.  It makes the code
>> much simpler if it is always defined as 2.  Maybe it makes more sense if I
>> change it to this:
>> 
>> #if !defined(PPC_MSG_MIGRATE_TASK)
>> #define PPC_MSG_MIGRATE_TASK 2
>> #endif
> 
> include/asm-powerpc/smp.h says:
> 
> /* This is unused now */
> #if 0
> #define PPC_MSG_MIGRATE_TASK    2
> #endif
> 
> 
> So it will never be defined. Why do you need it, you don't seem to use
> it anywhere?

Yes, you are correct.  I changed the implementation, but didn't update these
bits.  I'll get rid of that code.

-Geoff